- @page_title = t('.title')

.-grid-2-1
  ._container
    - if @tags.count.zero?
      .rui-empty= t('.no_content')
    - else
      = render 'admin/widgets/pagination', list: @tags
      ._filters
        ._filters__section
          ._filters__section__title= t('activerecord.attributes.resource.sources')
          = filter_by_link t('generic.all'), filters: { unused: nil }, keep: [:search, :elements]
          = filter_by_link t('.unused'), filters: { unused: 'true' }, keep: [:search]
        ._filters__spring
        ._filters__section= render 'admin/widgets/search', keep: [:unused]


      %form{ action: batch_process_admin_tags_url, method: :post }
        = hidden_field_tag :authenticity_token, form_authenticity_token
        .rui-actions.rui-actions--top
          .rui-field.rui-field--inline
            .rui-field__field
              %select{ name: 'batch_action' }
                %option{ value: :merge, selected: true }= t('.batch_options.merge')
                %option{ value: :destroy }= t('.batch_options.delete')
              %button{ type: :submit }= t('generic.ok')

        %table
          %caption.-sr-only= t('.table_caption')
          %thead
            %tr
              %th
              %th.-text--monospace.-text--right{ scope: 'col' }= t('generic.id')
              %th= order_by_link t('.tag'), 'name', keep_filters: [:search, :less_used]
              %th= order_by_link t('.taggings_count'), 'taggings_count', keep_filters: [:search, :less_used]
              %th{ scope: 'col' }

          %tbody
            - @tags.each do |tag|
              %tr
                %td
                  %input{ type: :checkbox, name: 'tag_ids[]', value: tag.id }
                %td.-text--monospace.-text--right= tag.id
                %td= link_to tag.name, admin_tag_path(tag)
                %td= tag.taggings_count
                %td.-actions
                  = render 'layouts/entity_actions', edit_url: edit_admin_tag_path(tag),
                                                     destroy_url: admin_tag_path(tag)

      = render 'admin/widgets/pagination', list: @tags, name: 'tag'
  ._container
    %h2= t('.new_tag')
    = render 'admin/tags/form', tag: ActsAsTaggableOn::Tag.new
